package com.ruoyi.zhiyuanzhe.mapper;

import com.ruoyi.zhiyuanzhe.domain.BDistributionRecords;
import com.ruoyi.zhiyuanzhe.domain.request.SubmitRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 发放记录Mapper接口
 *
 * @author ruoyi
 * @date 2023-09-19
 */
public interface BDistributionRecordsMapper {
    /**
     * 查询发放记录
     *
     * @param id 发放记录主键
     * @return 发放记录
     */
    BDistributionRecords selectBDistributionRecordsById(Long id);

    /**
     * 查询发放记录列表
     *
     * @param bDistributionRecords 发放记录
     * @return 发放记录集合
     */
    List<BDistributionRecords> selectBDistributionRecordsList(BDistributionRecords bDistributionRecords);

    /**
     * 新增发放记录
     *
     * @param bDistributionRecords 发放记录
     * @return 结果
     */
    int insertBDistributionRecords(BDistributionRecords bDistributionRecords);

    /**
     * 修改发放记录
     *
     * @param bDistributionRecords 发放记录
     * @return 结果
     */
    int updateBDistributionRecords(BDistributionRecords bDistributionRecords);

    /**
     * 删除发放记录
     *
     * @param id 发放记录主键
     * @return 结果
     */
    int deleteBDistributionRecordsById(Long id);

    /**
     * 批量删除发放记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBDistributionRecordsByIds(Long[] ids);


    /**
     * 证书发放
     *
     * @param req 证书发放请求类
     */
    int submit(@Param("req") SubmitRequest req);

    /**
     * 查询证书是否被用户兑换
     *
     * @param id     证书id
     * @param userId 用户id
     * @return 兑换记录
     */
    BDistributionRecords findIdAndUserId(@Param("id") Long id, @Param("userId") Long userId);

    /**
     * 获取用户已经使用的积分
     *
     * @param userId 用户id
     * @return 已使用的积分
     */
    Integer findPointsByUserId(@Param("userId") Long userId);
}
