package com.ruoyi.zhiyuanzhe.service;

import com.ruoyi.zhiyuanzhe.domain.BActivityPoints;
import com.ruoyi.zhiyuanzhe.domain.request.BActivityPointsRequest;

import java.util.List;


/**
 * 活动积分Service接口
 *
 * @author ruoyi
 * @date 2023-09-19
 */
public interface IBActivityPointsService {

    /**
     * 查询活动积分
     *
     * @param id 活动积分主键
     * @return 活动积分
     */
    BActivityPoints selectBActivityPointsById(Long id);

    /**
     * 查询活动积分列表
     *
     * @param bActivityPoints 活动积分
     * @return 活动积分集合
     */
    List<BActivityPoints> selectBActivityPointsList(BActivityPoints bActivityPoints);

    /**
     * 新增活动积分
     *
     * @param bActivityPoints 活动积分
     * @return 结果
     */
    int insertBActivityPoints(BActivityPoints bActivityPoints);

    /**
     * 修改活动积分
     *
     * @param bActivityPoints 活动积分
     * @return 结果
     */
    int updateBActivityPoints(BActivityPoints bActivityPoints);

    /**
     * 批量删除活动积分
     *
     * @param ids 需要删除的活动积分主键集合
     * @return 结果
     */
    int deleteBActivityPointsByIds(Long[] ids);

    /**
     * 删除活动积分信息
     *
     * @param id 活动积分主键
     * @return 结果
     */
    int deleteBActivityPointsById(Long id);

    /**
     * 发放一次性证书
     *
     * @param req 发放一次性证书请求类
     */
    void issue(BActivityPointsRequest req);

    /**
     * 获取用户所有积分
     *
     * @param userId 用户id
     * @return 积分
     */
    Integer findPointsByUserId(Long userId);
}
