package com.ruoyi.zhiyuanzhe.service;

import com.ruoyi.zhiyuanzhe.domain.BCheckRecords;

import java.util.List;


/**
 * 物流记录Service接口
 *
 * @author ruoyi
 * @date 2023-09-19
 */
public interface IBCheckRecordsService {
    /**
     * 查询物流记录
     *
     * @param id 物流记录主键
     * @return 物流记录
     */
    BCheckRecords selectBCheckRecordsById(Long id);

    /**
     * 查询物流记录列表
     *
     * @param bCheckRecords 物流记录
     * @return 物流记录集合
     */
    List<BCheckRecords> selectBCheckRecordsList(BCheckRecords bCheckRecords);

    /**
     * 新增物流记录
     *
     * @param bCheckRecords 物流记录
     * @return 结果
     */
    int insertBCheckRecords(BCheckRecords bCheckRecords);

    /**
     * 修改物流记录
     *
     * @param bCheckRecords 物流记录
     * @return 结果
     */
    int updateBCheckRecords(BCheckRecords bCheckRecords);

    /**
     * 批量删除物流记录
     *
     * @param ids 需要删除的物流记录主键集合
     * @return 结果
     */
    int deleteBCheckRecordsByIds(Long[] ids);

    /**
     * 删除物流记录信息
     *
     * @param id 物流记录主键
     * @return 结果
     */
    int deleteBCheckRecordsById(Long id);
}
