package com.ruoyi.zhiyuanzhe.service;

import com.ruoyi.zhiyuanzhe.domain.BExchangeRecords;

import java.util.List;


/**
 * 兑换记录Service接口
 *
 * @author ruoyi
 * @date 2023-09-19
 */
public interface IBExchangeRecordsService {
    /**
     * 查询兑换记录
     *
     * @param id 兑换记录主键
     * @return 兑换记录
     */
    BExchangeRecords selectBExchangeRecordsById(Long id);

    /**
     * 查询兑换记录列表
     *
     * @param bExchangeRecords 兑换记录
     * @return 兑换记录集合
     */
    List<BExchangeRecords> selectBExchangeRecordsList(BExchangeRecords bExchangeRecords);

    /**
     * 新增兑换记录
     *
     * @param bExchangeRecords 兑换记录
     * @return 结果
     */
    int insertBExchangeRecords(BExchangeRecords bExchangeRecords);

    /**
     * 修改兑换记录
     *
     * @param bExchangeRecords 兑换记录
     * @return 结果
     */
    int updateBExchangeRecords(BExchangeRecords bExchangeRecords);

    /**
     * 批量删除兑换记录
     *
     * @param ids 需要删除的兑换记录主键集合
     * @return 结果
     */
    int deleteBExchangeRecordsByIds(Long[] ids);

    /**
     * 删除兑换记录信息
     *
     * @param id 兑换记录主键
     * @return 结果
     */
    int deleteBExchangeRecordsById(Long id);
}
