package com.ruoyi.zhiyuanzhe.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.zhiyuanzhe.domain.BCheckRecords;
import com.ruoyi.zhiyuanzhe.mapper.BCheckRecordsMapper;
import com.ruoyi.zhiyuanzhe.service.IBCheckRecordsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 物流记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
@Service
public class BCheckRecordsServiceImpl implements IBCheckRecordsService
{
    @Autowired
    private BCheckRecordsMapper bCheckRecordsMapper;

    /**
     * 查询物流记录
     * 
     * @param id 物流记录主键
     * @return 物流记录
     */
    @Override
    public BCheckRecords selectBCheckRecordsById(Long id)
    {
        return bCheckRecordsMapper.selectBCheckRecordsById(id);
    }

    /**
     * 查询物流记录列表
     * 
     * @param bCheckRecords 物流记录
     * @return 物流记录
     */
    @Override
    public List<BCheckRecords> selectBCheckRecordsList(BCheckRecords bCheckRecords)
    {
        return bCheckRecordsMapper.selectBCheckRecordsList(bCheckRecords);
    }

    /**
     * 新增物流记录
     * 
     * @param bCheckRecords 物流记录
     * @return 结果
     */
    @Override
    public int insertBCheckRecords(BCheckRecords bCheckRecords)
    {
        bCheckRecords.setCreateTime(DateUtils.getNowDate());
        return bCheckRecordsMapper.insertBCheckRecords(bCheckRecords);
    }

    /**
     * 修改物流记录
     * 
     * @param bCheckRecords 物流记录
     * @return 结果
     */
    @Override
    public int updateBCheckRecords(BCheckRecords bCheckRecords)
    {
        bCheckRecords.setUpdateTime(DateUtils.getNowDate());
        return bCheckRecordsMapper.updateBCheckRecords(bCheckRecords);
    }

    /**
     * 批量删除物流记录
     * 
     * @param ids 需要删除的物流记录主键
     * @return 结果
     */
    @Override
    public int deleteBCheckRecordsByIds(Long[] ids)
    {
        return bCheckRecordsMapper.deleteBCheckRecordsByIds(ids);
    }

    /**
     * 删除物流记录信息
     * 
     * @param id 物流记录主键
     * @return 结果
     */
    @Override
    public int deleteBCheckRecordsById(Long id)
    {
        return bCheckRecordsMapper.deleteBCheckRecordsById(id);
    }
}
