package com.ruoyi.zhiyuanzhe.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.zhiyuanzhe.domain.BExchangeRecords;
import com.ruoyi.zhiyuanzhe.mapper.BExchangeRecordsMapper;
import com.ruoyi.zhiyuanzhe.service.IBExchangeRecordsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * 兑换记录Service业务层处理
 *
 * @author ruoyi
 * @date 2023-09-19
 */
@Service
public class BExchangeRecordsServiceImpl implements IBExchangeRecordsService {

    @Resource
    private BExchangeRecordsMapper bExchangeRecordsMapper;

    /**
     * 查询兑换记录
     *
     * @param id 兑换记录主键
     * @return 兑换记录
     */
    @Override
    public BExchangeRecords selectBExchangeRecordsById(Long id) {
        return bExchangeRecordsMapper.selectBExchangeRecordsById(id);
    }

    /**
     * 查询兑换记录列表
     *
     * @param bExchangeRecords 兑换记录
     * @return 兑换记录
     */
    @Override
    public List<BExchangeRecords> selectBExchangeRecordsList(BExchangeRecords bExchangeRecords) {
        return bExchangeRecordsMapper.selectBExchangeRecordsList(bExchangeRecords);
    }

    /**
     * 新增兑换记录
     *
     * @param bExchangeRecords 兑换记录
     * @return 结果
     */
    @Override
    public int insertBExchangeRecords(BExchangeRecords bExchangeRecords) {
        bExchangeRecords.setCreateTime(DateUtils.getNowDate());
        return bExchangeRecordsMapper.insertBExchangeRecords(bExchangeRecords);
    }

    /**
     * 修改兑换记录
     *
     * @param bExchangeRecords 兑换记录
     * @return 结果
     */
    @Override
    public int updateBExchangeRecords(BExchangeRecords bExchangeRecords) {
        bExchangeRecords.setUpdateTime(DateUtils.getNowDate());
        return bExchangeRecordsMapper.updateBExchangeRecords(bExchangeRecords);
    }

    /**
     * 批量删除兑换记录
     *
     * @param ids 需要删除的兑换记录主键
     * @return 结果
     */
    @Override
    public int deleteBExchangeRecordsByIds(Long[] ids) {
        return bExchangeRecordsMapper.deleteBExchangeRecordsByIds(ids);
    }

    /**
     * 删除兑换记录信息
     *
     * @param id 兑换记录主键
     * @return 结果
     */
    @Override
    public int deleteBExchangeRecordsById(Long id) {
        return bExchangeRecordsMapper.deleteBExchangeRecordsById(id);
    }
}
