package com.ruoyi.zhiyuanzhe.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.zhiyuanzhe.domain.BActivity;
import com.ruoyi.zhiyuanzhe.domain.BActivityUser;
import com.ruoyi.zhiyuanzhe.domain.BPersonTags;
import com.ruoyi.zhiyuanzhe.mapper.BPersonTagsMapper;
import com.ruoyi.zhiyuanzhe.service.IBPersonTagsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * 人标签Service业务层处理
 *
 * @author ruoyi
 * @date 2023-09-18
 */
@Service("bPersonTagsService")
public class BPersonTagsServiceImpl implements IBPersonTagsService {

    @Resource
    private BPersonTagsMapper bPersonTagsMapper;

    /**
     * 查询人标签
     *
     * @param id 人标签主键
     * @return 人标签
     */
    @Override
    public BPersonTags selectBPersonTagsById(Long id) {
        return bPersonTagsMapper.selectBPersonTagsById(id);
    }

    /**
     * 查询人标签列表
     *
     * @param bPersonTags 人标签
     * @return 人标签
     */
    @Override
    public List<BPersonTags> selectBPersonTagsList(BPersonTags bPersonTags) {
        return bPersonTagsMapper.selectBPersonTagsList(bPersonTags);
    }

    /**
     * 新增人标签
     *
     * @param bPersonTags 人标签
     * @return 结果
     */
    @Override
    public int insertBPersonTags(BPersonTags bPersonTags) {
        bPersonTags.setCreateTime(DateUtils.getNowDate());
        return bPersonTagsMapper.insertBPersonTags(bPersonTags);
    }

    /**
     * 修改人标签
     *
     * @param bPersonTags 人标签
     * @return 结果
     */
    @Override
    public int updateBPersonTags(BPersonTags bPersonTags) {
        bPersonTags.setUpdateTime(DateUtils.getNowDate());
        return bPersonTagsMapper.updateBPersonTags(bPersonTags);
    }

    /**
     * 批量删除人标签
     *
     * @param ids 需要删除的人标签主键
     * @return 结果
     */
    @Override
    public int deleteBPersonTagsByIds(Long[] ids) {
        return bPersonTagsMapper.deleteBPersonTagsByIds(ids);
    }

    /**
     * 删除人标签信息
     *
     * @param id 人标签主键
     * @return 结果
     */
    @Override
    public int deleteBPersonTagsById(Long id) {
        return bPersonTagsMapper.deleteBPersonTagsById(id);
    }

    /**
     * 根据活动标签匹配用户
     *
     * @param bActivity 活动标签
     * @return 用户信息以及匹配度
     */
    @Override
    public List<BActivityUser> findByTags(BActivity bActivity) {
        return bPersonTagsMapper.findByTags(bActivity);
    }
}
