package com.ruoyi.zhiyuanzhe.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.zhiyuanzhe.domain.request.BReportPageRequest;
import com.ruoyi.zhiyuanzhe.domain.response.BReportPageResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.zhiyuanzhe.mapper.BReportMapper;
import com.ruoyi.zhiyuanzhe.domain.BReport;
import com.ruoyi.zhiyuanzhe.service.IBReportService;

/**
 * 报名Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-09-21
 */
@Service
public class BReportServiceImpl implements IBReportService
{
    @Autowired
    private BReportMapper bReportMapper;

    /**
     * 查询报名
     * 
     * @param id 报名主键
     * @return 报名
     */
    @Override
    public BReport selectBReportById(Long id)
    {
        return bReportMapper.selectBReportById(id);
    }

    /**
     * 查询报名列表
     * 
     * @param bReport 报名
     * @return 报名
     */
    @Override
    public List<BReport> selectBReportList(BReport bReport)
    {
        return bReportMapper.selectBReportList(bReport);
    }

    /**
     * 新增报名
     * 
     * @param bReport 报名
     * @return 结果
     */
    @Override
    public int insertBReport(BReport bReport)
    {
        bReport.setCreateTime(DateUtils.getNowDate());
        return bReportMapper.insertBReport(bReport);
    }

    /**
     * 修改报名
     * 
     * @param bReport 报名
     * @return 结果
     */
    @Override
    public int updateBReport(BReport bReport)
    {
        bReport.setUpdateTime(DateUtils.getNowDate());
        return bReportMapper.updateBReport(bReport);
    }

    /**
     * 批量删除报名
     * 
     * @param ids 需要删除的报名主键
     * @return 结果
     */
    @Override
    public int deleteBReportByIds(Long[] ids)
    {
        return bReportMapper.deleteBReportByIds(ids);
    }

    /**
     * 删除报名信息
     * 
     * @param id 报名主键
     * @return 结果
     */
    @Override
    public int deleteBReportById(Long id)
    {
        return bReportMapper.deleteBReportById(id);
    }

    @Override
    public List<BReportPageResponse> selecAll(BReportPageRequest req) {
        return bReportMapper.selecAll(req);
    }
}
